microsoft-foundry.rest.security.o-auth2-auth
Agents
Disable an agent
POST
/agents/{agent_name}:disable
Disables the specified agent, preventing it from accepting new sessions or processing requests. Existing active sessions are allowed to drain gracefully but no new sessions can be created. This operation is idempotent — disabling an already-disabled agent returns success with no side effects.
Параметры пути
agent_name
string
обязательно
The name of the agent to disable.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Ответы
There is no content to send for this request, but the headers may be useful.
Запрос
POST /agents/{agent_name}:disable HTTP/1.1
Response
Status: 204
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json